## oops 0.1.0

=== DESCRIPTION ===
Package: oops
Type: Package
Title: S3 Style Object Oriented Programming
Version: 0.1.0
Author: Christopher Mann <cmann3@unl.edu>
Maintainer: Christopher Mann <cmann3@unl.edu>
Description: Create simple, hassle-free classes with reference semantics
    similar to 'RefClass' or 'R6' but relying on S3 methods. "oops" class 
    instances tend to be lighter weight and faster to create. Creating a 
    class is as easy creating a list, while generating an instance is a 
    simple function call. Support for inheritance and fixed field classes.
License: MIT + file LICENSE
Imports: utils, pryr
Suggests: knitr, rmarkdown
Encoding: UTF-8
RoxygenNote: 7.1.1
LazyData: true
Depends: R (>= 3.5)
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-12-21 22:00:09 UTC; chris
Repository: CRAN
Date/Publication: 2021-12-22 19:30:07 UTC
