## oops 0.0.10

=== debian/changelog ===
oops (0.0.10-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:49:09 +0000

oops (0.0.10-0ubuntu1) precise; urgency=low

  * Initial release (LP: #922933)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 31 Jan 2012 07:54:55 -0500
