=== debian/control ===
Source: oops
Section: python
Priority: optional
Maintainer: Andres Rodriguez <andreserl@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python (>= 2.6.6-3)
Standards-Version: 3.9.2
X-Python-Versions: >= 2.6
Homepage: http://pypi.python.org/pypi/oops

Package: python-oops
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-iso8601, python-tz
Description: Serialization, deserialization and allocation of OOPS reports
 The oops project provides an in-memory model and basic serialisation,
 deserialisation and allocation of OOPS reports. An OOPS report is a report
 about something going wrong in a piece of software... thus, an 'oops' :)
 .
 This core package is rarely used directly: most programs or services that want
 to generate OOPS reports will do so via a framework specific adapter (e.g.
 python-oops_wsgi).
