=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oops/oops-([\d\.]*)\.tar\.gz
