## oops 0.0.14

=== debian/changelog ===
oops (0.0.14-0ubuntu3) groovy; urgency=medium

  * Drop Python 2 support (LP: #1887828)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 16 Jul 2020 17:22:35 +0100

oops (0.0.14-0ubuntu2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:38:34 +0000

oops (0.0.14-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Provide python3-oops package.
  * Modernize packaing using pybuild.
  * Add basic autopkgtest via autopkgtest-pkg-python.
  * Bump Standards-Version to 4.2.1.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 09 Dec 2018 16:44:25 -0500
