=== debian/control ===
Source: oops
Section: python
Priority: optional
Maintainer: Andres Rodriguez <andreserl@ubuntu.com>
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-six,
               python3-tz
Standards-Version: 4.2.1
Homepage: https://launchpad.net/python-oops
Testsuite: autopkgtest-pkg-python

Package: python3-oops
Architecture: all
Depends: python3-six, python3-tz, ${misc:Depends}, ${python3:Depends}
Description: Serialization, deserialization and allocation of OOPS reports (Python 3)
 The oops project provides an in-memory model and basic serialisation,
 deserialisation and allocation of OOPS reports. An OOPS report is a report
 about something going wrong in a piece of software... thus, an 'oops' :)
 .
 This core package is rarely used directly: most programs or services that want
 to generate OOPS reports will do so via a framework specific adapter (e.g.
 python-oops_wsgi).
 .
 This package installs the library for PYthon 3.
