=== debian/watch ===
version=4
https://pypi.debian.net/oops/oops-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
