## oops 0.2.0

=== DESCRIPTION ===
Package: oops
Type: Package
Title: S3 Style Object Oriented Programming
Version: 0.2.0
Author: Christopher Mann <cmann3@unl.edu>
Maintainer: Christopher Mann <cmann3@unl.edu>
Description: Create simple, hassle-free classes with reference semantics
    similar to 'RefClass' or 'R6' but relying on S3 methods. "oops" class 
    instances tend to be lighter weight and faster to create. Creating a 
    class is as easy creating a list, while generating an instance is a 
    simple function call. Support for inheritance and fixed field classes.
License: MIT + file LICENSE
Imports: utils
Suggests: knitr, rmarkdown
Encoding: UTF-8
RoxygenNote: 7.1.1
LazyData: true
Depends: R (>= 3.5)
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2022-03-02 22:43:35 UTC; chris
Repository: CRAN
Date/Publication: 2022-03-02 22:50:02 UTC
