## oops 1.5.19.cvs.20010818-0.1

=== debian/changelog ===
oops (1.5.19.cvs.20010818-0.1) unstable; urgency=low

  * NMU.
  * configure.in: AC_PREREQ(2.50) and remove non-existent -G option to ld.
    Use the shared pcre libraries instead of static, since pcre symbols
    are packed into dynamically loaded modules and therefore must be PIC.
  * Run autoconf to generate new configure script.
  * src/modules/Makefile.in: Add -DPIC -fPIC to CFLAGS.

 -- Eric Gillespie <epg@debian.org>  Mon,  5 Nov 2001 14:49:43 -0500

oops (1.5.19.cvs.20010818) unstable; urgency=low

  * /etc/logrotate.d/oops `create 640 proxy proxy' to eliminate
    log permission problems
  * config file in doc/examples dir (closes: #97920)
    debian/oops.examples
  * config.{guess,sub} was so old and unportable to hppa
    updated from autotools-dev (closes: #105042)

 -- Tamas SZERB <toma@rulez.org>  Sat, 18 Aug 2001 17:26:19 +0200

oops (1.5.19.cvs.20010702-1) unstable; urgency=low

  * config file in doc/examples dir (closes: #97920)
  * in init.d script
    - elimited the -d from ARG (from now OOPS) prevent the
      automatic restart loop running with RUNNING_TYPE=run
    - added to RUN the --robust option for reliability reasons

 -- Tamas SZERB <toma@rulez.org>  Wed, 18 Jul 2001 14:21:52 +0200

oops (1.5.18.cvs.20010515-1) unstable; urgency=low

  * acces_log now htmlize path
  * accel.c: host from absolute uri have precedence over Host:
  * ssl works with parent
  * many bugfixes

 -- Tamas SZERB <toma@rulez.org>  Tue, 15 May 2001 09:22:04 +0200

oops (1.5.15.cvs.20010406-1) unstable; urgency=low

  * libpcre3/2/1 (potato) backward compatibility
  * changelog duplication fix (closes: #92252), no lintian warning
  * many people asked me to use the standard http_port (now: 3128)
    and icp_port (now: 3130) in oops.cfg so it is recommended.

 -- Tamas SZERB <toma@rulez.org>  Fri,  6 Apr 2001 11:47:49 +0200

oops (1.5.15.cvs.20010328-1) unstable; urgency=low

  * upstream and debian changelog fix
  * The adfilter /usr/share/doc/oops/examples/adfilter .
    to not watch advertisements and counters
  * README.Debian mentions a security fix if you are using old oops.cfg

 -- Tamas SZERB <toma@rulez.org>  Wed, 28 Mar 2001 11:16:21 +0200

oops (1.5.15.cvs.20010327) unstable; urgency=low

  * upgrading from the previous version the pid overwriting is fixed

 -- Tamas SZERB <toma@rulez.org>  Tue, 27 Mar 2001 14:10:09 +0200

oops (1.5.15.cvs.20010326) unstable; urgency=low

  * --with-regexp=pcre for Perl Compatible Regular Expression library
  * pam support auth. module
  * hop by hop proxy https authentication (closes: #82416)
  * oops at starting doesn't run as root (closes: #88622)
  * internal:nospam1x1 gif now is not a 3x3 gif [thanks RASZi ;)] (closes: #88200)
  * fd's what needed is closed (closes: #83589)
  * redir and fastredir can use different configs
  * not yet finished cisco wccp2 module for transparent proxying
  * and bugfixes

 -- Tamas SZERB <toma@rulez.org>  Tue, 27 Feb 2001 11:58:05 +0100

oops (1.5.7-3) unstable; urgency=low

  * bison, flex build dependency (closes: #84220)

 -- Tamas SZERB <toma@rulez.org>  Sun, 25 Feb 2001 00:47:01 +0100

oops (1.5.7-2) unstable; urgency=low

  * german templates file for debconf (closes: #83930)
  * swedish translation of oops's debconf template file (closes: #83678)
  * hungarian debconf template
  * optional 'run' respawner ability in init.d script (see: RUNNING_TYPE)

 -- Tamas SZERB <toma@rulez.org>  Mon, 29 Jan 2001 15:03:13 +0100

oops (1.5.7-1) unstable; urgency=low

  * conffiles missed (closes: #83620)

 -- Tamas SZERB <toma@rulez.org>  Fri, 26 Jan 2001 14:27:42 +0100

oops (1.5.7) unstable; urgency=low

  * logrotate.d conffiles cleanup (for the sake of grin)
  * new init.d script without silly oopsctl verobosity at start
  * new upstream source
  * fixed Age: header bug

 -- Tamas SZERB <toma@rulez.org>  Fri, 26 Jan 2001 14:26:22 +0100

oops (1.5.6-1) unstable; urgency=low

  * debhelper question to format the storages

 -- Tamas SZERB <toma@rulez.org>  Tue, 23 Jan 2001 01:03:35 +0100

oops (1.5.6) unstable; urgency=low

  * username acl
  * \n removed from some acl's when read from file
    local_networls was not handled properly if ICP is used
    no log messages 'icp so = -1' if icp_port  0

 -- Tamas SZERB <toma@rulez.org>  Tue,  9 Jan 2001 20:21:37 +0100

oops (1.5.5-3) unstable; urgency=low

  * cfg.pl permission in the source debian package
  * oops.postinst backport to potato (read -s -n doesn't work on it)
  * always_check_freshness twice in the config file

 -- Tamas SZERB <toma@rulez.org>  Fri,  5 Jan 2001 13:15:52 +0100

oops (1.5.5-2) unstable; urgency=low

  * fixed oops' files permissions in postinst script (closes: #80982)

 -- Tamas SZERB <toma@rulez.org>  Thu,  4 Jan 2001 22:14:02 +0100

oops (1.5.5) unstable; urgency=low

  * More sprintf, strncpy, ... cleanups compared the the previous versions

 -- Tamas SZERB <toma@rulez.org>  Wed, 20 Dec 2000 13:46:48 +0100

oops (1.5.2) unstable; urgency=low

  * improved security
  * pixmap for redir (closes: #78077)

 -- Tamas SZERB <toma@rulez.org>  Wed, 20 Dec 2000 13:45:55 +0100

oops (1.5.1) unstable; urgency=low

  * fixed buffer overflow vulnerability (details in bugtraq ID 2099)
  * redir can handle 1x1 pixmap to filter out the banners
  * fail-safe support for non-icp peers
  * always_check_freshness on object acl basis acl type "content_type"
  * gzip/gunzip capable client handling
  * fixed performance bug in storage.c
    IMPORTANT: Changed magic in storages!
  * passwd_pgsql, passwd_mysql modules
  * per_ip_bw and per_ip_conn limits 
    - bandwidth and connections number for any host
  * ask user to reformat storages

 -- Tamas SZERB <toma@rulez.org>  Wed, 13 Dec 2000 13:43:46 +0100

oops (1.4.22-3) unstable; urgency=low

  * oops upgrade doesn't overwrite any config file (see conffiles)
  * oops logrotate bug fixed

 -- Tamas SZERB <toma@rulez.org>  Wed, 13 Dec 2000 13:37:04 +0100

oops (1.4.22-2) unstable; urgency=low


