=== debian/changelog ===
oops (1.5.19.cvs.20010818-0.1woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch by RST/GHC to fix format string vulnerability
    [src/modules/passwd_sql.c, CAN-2005-1121]

 -- Martin Schulze <joey@infodrom.org>  Fri,  6 May 2005 07:09:44 +0200
