=== debian/control ===
Source: oops
Section: web
Priority: optional
Maintainer: Tamas SZERB <toma@rulez.org>
Build-Depends: perl-base, debhelper (>= 2.0.40), libdb2-dev (>= 2:2.7.7-2.1), flex, bison, libpcre3-dev | libpcre2-dev | libpcre1-dev, wget, autotools-dev, diff
Standards-Version: 3.1.1

Package: oops
Architecture: any
Depends: libdb2 (>= 2:2.7.7-2.1), debconf, ${shlibs:Depends}
Suggests: run
Description: HTTP caching proxy server written for performance
 OOPS is lightweight but powerful proxy cache. It's main features are:
  * HTTP/1.1 (without persistent connections yet) and FTP
  * Fast start. It is ready to serve requests immediately after start.
  * On-disk storages are checked in background, while serving requests
    directly from network
  * Clean reconfiguration on SIGHUP - no broken sessions, new settings
    applied to new connections
  * Easy-to-read/understand config file and acl's
  * Bandwidth control
  * Modular structure. Several module types exist: logging, access, output,
    error reporting, URL filtering, ...
  * Objects are stored in large files: no file per object scheme.
  * These large files can be raw devices (like /dev/hda)
