## oops 1.5.23.cvs

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=1.5.19
+VER=1.5.23
 
 all:
 	cd src; $(MAKE)
@@ -13,7 +13,7 @@
 	rm -f config.cache config.status config.log *~;
 	rm -rf autom4te.cache
 	cd src; rm -f Makefile *o lex.yy.c  y.tab.[ch] *~ *.ln version.h config.h oops.cfg oops core
-	cd src; rm -f getopt.* getopt1.c gnu_regex.* rwlock.* strtok_r.c
+	cd src; rm -f getopt.* getopt1.c gnu_regex.* rwlock.* snprintf.c strtok_r.c
 	cd src/modules; rm -Rf SunWS_cache Templates.DB Makefile *o oopsctl *~ *.ln
 	cd doc; rm -f oops.8 oopsctl.8
 
@@ -21,6 +21,7 @@
 	$(MAKE) distclean
 	autoconf
 	autoheader
+	rm -rf autom4te.cache
 	rm -Rf ../oops-${VER}.tar.gz /tmp/oops-${VER};
 	mkdir /tmp/oops-${VER};
 	gtar c --exclude=CVS --exclude=*.#* . | (cd /tmp/oops-${VER}; gtar x);
